Contents

 Contents zip package:
- readme.txt: basic info
- install.txt: install info
- eMarker.exe: the unregistered executable
- eMarker.chm: the help-file including the manual
- eMarker.ico: icon file
- untitled.mht: template for new mht files
- launchfromie.htm: best practice
- several txt-files including all kinds of help, for the case you prefer text or are unable to read the help file (CHM file).


Introducing eMarker

 Describing eMarker in one short line:
It can highlight important phrases in web pages, similarly to manually color marking on paper.

The program can save all or part of a web site in a MHT file after which you can do some marking and basic editing. MHT files are files containing complete website pages for instance including the images. MHT files normally are created and viewed with Internet Explorer. When surfing the web with Internet Explorer and you spot an interesting page then you can select the part you want to keep and copy it to eMarker. In eMarker this part will be saved and will be open to further editing like highlighting of important text and deleting of unnecessary elements.
It is especially made for professional users who can win a lot of time using this technique.


Requirements

 Software: Minimum Windows NT/2000/XP preferred. Higher versions of Windows should be compatible.
Minimum Internet Explorer 4.0 is needed but a higher version like IE8.0 is recommended.
Hardware requirements are low; the slowest processor should be more than enough and the needed hard disk free space for the software is about 2MB only... .


Install/Remove

  • Unregistered version
    There is an automatic installation available. Just follow the instructions during install. An icon will be placed on your desktop + it will be added to the Windows start menu.

    If install fails for some reason then you also can manually put all the files from the zip-file (see website) into one directory, for instance: c:\Program Files\eMarker and then run eMarker.exe.

  • Registered version
    In the program files folder, simply replace the old (unregistered) eMarker.exe (not the installer!) with the one you got after registration.
Always keep files together in the installation directory.

To remove the software, first uncheck the options in EMarker, then use the uninstall option, available via for instance the Windows start menu. Please remove manually, eventually remaining files like '.ini' and '.his' files.


How it works - short

eMarker explained in 10 steps

  1. Surf with Microsoft Internet Explorer to an interesting page
  2. Using the left mouse button you select the part of the web page you want to keep
  3. With the mouse pointer on some of the selected text you right click and choose "Copy to Emarker..." in the pop-up menu
  4. eMarker will be launched in edit mode and you will be asked to where to save your selection
  5. Choose a marker color
  6. Select the the text you want to mark
  7. Mark the text
  8. Save the file
  9. Close eMarker
  10. Later you can re-open the files with IE for viewing or with eMarker for viewing and further editing.


Menu items

 File
  • New
    This creates a fresh MHT file. This can come in very handy when you want to manually copy and paste a piece from a website you surfed to using Internet Explorer (IE). By default, a temporary file named YYMMDD-untitled.mht initially will be created where YYMMDD stands for the actual date.
  • Open...
    Use File-Open-Browse to open a MHT file you want to edit. You aslo can use the history list after clcicking on 'File'.
  • Rename...
    Quickly rename a file by first selecting the file and then editing the file name in the pop up window. By editing the file path you also can move a file.
  • Refresh
    Similar to the refresh function in Internet Explorer.
  • Save as IE...
    Save complete web site pages, similar to the function in Internet Explorer: if you surfed to the wanted page using eMarker instead of with IE then you can save from within eMarker. Choose as type (*.mht) when saving. See menu item below when this fails.
    This can NOT save any eventual editing you did, using eMarker.
  • Save when IE could not save...
    Sometimes IE fails to save a webpage as a MHT file. You can use the menu item in subject in order to try to solve this. In many occasions a rough but acceptable and editable file gets saved.
  • Save as...
    Save an open MHT file which you marked in edit mode, to a new MHT file. You can choose what name you want.
    If you started from a file created with File-New then the temporary file will be removed automatically.
  • Save
    Save an open MHT file which you marked in edit mode to the name that you already have chosen.
  • Move to...
    This can move the actually loaded file to another location.
  • Delete...
    You can delete files from within eMarker.
  • Print...
    This wil pop up a print dialog like you would get one with Internet Explorer.
    If background colors do not print then make sure that in Internet Explorer the option for printing background colors is checked.
    You find this option in IE by diving into the menu similar to this: Tools-Internet Options-Advanced-Printing.
  • Print!
    This wil print without first popping up a dialog. It uses actual (standard) print settings.
    See above when background colors do not print.
Edit
  • Edit mode
    Toggles surfing mode - edit mode. When the program starts up, it starts in surfing mode. Before you can edit something you must make sure that you opened a MHT file. Then you go to edit mode. You also can use the edit mode button to do the same. That button is green as long as you are in edit mode. It is red when you are browsing (surfing mode).
    Advanced users: see also options - only edit mht files.
  • Mark!
    Mark the selected text! The marker color you have chosen in options (or with the multi-colored button) will be used. You also can use shortcut CTRL+spacebar.
  • Bold
    Toggle selected text bold - not bold
  • Italic
    Toggle selected text italic - not italic
  • Underline
    Toggle selected text underline - not underline
  • Font...
    Although eMarker is mainly meant for highlighting, you can choose a new font or font size here for the selected text. Handy when you want to make something bigger.
  • Remove formatting
    Will try to remove formatting like bold, italic, underline or the marker color. You can use the button with the red cross too.
Find
  • Web page
    This will try to launch a searching robot. Could be handy when you are surfing using eMarker.
  • Text in actual web page
    This will launch a find box with which you can quickly find a specific word in the page. This can be used in both surfing and edit mode.
Options
  • Mark color...
    This will bring up a box which lets you choose a default marking color. You will see that the mark button will receive this color. From now on, every time you select a piece of text then the chosen color will be used everytime you hit 'Mark!' either with the mark button or with CTRL+SPACEBAR! You can change this default color as much you want; several colors can be used on one page.
    Remark: apart from this default mark color you can quickly use a color from the color grid filled with some common preset colors.
  • Default save to...
    Choose a folder from which you get the easiest to your MHT files. When you hit 'save as' then you will be able to save quickly the edited page. Opening of a mht file will be faster too.
    Remark: When saving as IE then this default folder is NOT used.
  • Only edit mht files
    The main purpose of eMarker is editing mht files but you can get more freedom by unchecking this option. Then you can try edit and save htm(l) and eml files too. Not recommended though. Only very advanced users can experiment with unchecking this option.
  • Try to suppress script errors
    When this option is not checked then from time to time you will get pop-ups with scripts errors. Sometimes the errors can be quite abundant and sticky. This option helps you by avoiding most of the pop-ups. Normally this option should be left checked.
  • Open MHT files with eMarker
    When this option is checked then the file system will try to open any MHT file with eMarker. For instance when you like to launch a file with Windows Explorer.
  • Launch eMarker by right-clicking
    When checked then while you are surfing the net with Internet Explorer then you can select an interesting portion of a web page with the mouse and right click on the text. At that moment a menu will pop up in which you then can choose 'Copy to eMarker...'. This will launch eMarker and copy the selection to it.
    As this is a very handy tool, you are recommended to keep this option checked.


Launch eMarker from Internet Explorer

Best practice: launch eMarker from Internet Explorer

You are recommended to use the option to launch eMarker by right-clicking in Internet Explorer.

After the first start of eMarker, the option will automatically be active. You will see that in the options menu the option in subject will be checked:

You are ready to use eMarker in a quick and efficient way.

Close eMarker and launch a new session of Internet Explorer, surf to something you want to keep, select it with the left mouse button and right-click with the right mouse button. After right-clicking on selected text you get a menu similar to this:

After left-clicking on 'Copy to eMarker...', it could be that you get a system request to allow acces to your clipboard:
.
In this case you allow the access.

A dialog similar to this will pop up:

Now you browse for a folder or hit one in the history screen. In this example a history item just has been chosen.
After choosing the location you check if the proposed file name or title is ok for you. Remark that forbidden file characters automatically will be replaced giving you a short warning in the statusbar.
The chosen part in Internet Explorer will be loaded in eMarker and the edit mode button is green giving you green light to mark the important stuff.

Select text and hit a color in order to highlight.
Selecting text and hitting CTRL+SPACEBAR will use your favorite marker color which is indicated on the big button. In the example above it is orange
Once all the text that you never want to forget anymore about is highlighted you hit save or CTRL+S and your done!


Tips, tricks and notes

- For quickly opening items you can use the history lists. The list you see when you click 'file' contains items with which you started a surfing session. If you click 'file-open' then a list containing every site or file you went too with eMarker will be showed.
- For very quickly opening MHT files you can use the first history list you see after you click on 'file'. It includes only MHT files you used before.
- By following '>>>' in the history lists you can remove history items, remove all history or set the maximum items.
- When you chose to open mht files by default with eMarker then you should be able to access a recently saved mht-file (saved using Internet Explorer) using the start menu of Windows. For instance in Windows XP: Choose START - Documents - click your file.
- For simply viewing mht files you can keep on using standard mht viewers like Internet Explorer.
- Buttons: hover with your mouse over a button to know what it does. In many cases they are shortcuts to menu items.
- eMarker can only select (and mark) text in the MHT file; not images nor other special elements. Selecting text could need some practice. Sometimes you have to click several times on the page before you can do the selection.
- When you try to re-open a page which you just edited and saved then you first 'must' close eMarker completely. If you do not close the program first before re-opening the mht file then it could be that the changes will not be viewed yet.
- Note that it occurs often that web pages (htm, html...) can not be saved as a mht file. This is mainly the case with dynamic or dynamically created web pages. If Internet Explorer is not able to save a certain page as a mht, then eMarker too will not be able to save it as a mht file. This program does not pretend to be any better than IE in this area but as soon there is already a mht file, eMarker should be able to mark and save it.
- When launching eMarker from Internet Explorer you get best and quick results when you only select text and images. Try to avoid other things like video elements.
- Hitting the ESC button wil quickly exit the current window. If you leave the main window with ESC without saving then the unsaved will be lost.


Agreement

 Using this software supposes you understand and agree with this: There is a non-registered version of the program which can be distributed freely but which includes some limitations. All features can and should be tested by the user before he decides to buy the other, registered version. Registered program may not be spread and could include some of your personal info. This is relatively small and low cost software which causes that it is difficult to give lots of user support. Eventual questions, complaints etc... can be sent, but only by E-mail. There is no guarantee when and if there will be a reaction; normally however you get a reaction within one day. This depends on importancy level and time availability. Follow instructions in documentation carefully and always check our website for the most recent information.
This software is provided "as-is", without any express or implied warranty. In no event shall the author be held liable for any damages arising from the use of this software; Shareware Hangvogel is not responsible for any harm caused by this program in a direct or indirect manner. Using the program is accepting this statement.


Shareware Hangvogel - contact info

 Normally all info should be available on the website.
Website: http://hangvogel.fly.to
Online meetings: see website
E-mail: hangvogel@pandora.be
Emergency E-mail (use only when problems with above E-mail): hangvogel@yahoo.com


Languages (Français, Deutsch, Nederlands...)

 The program is only available in English and there are no plans to change this in near future.
What concerns the documentation however, it is certainly possible that translations will be available on website in future.

FRANCAIS: Il y a une chance que de la documentation sera disponible en français. Questions peuvent être posées en français.
DEUTSCH: Es ist möglich dass Dokumentation verfügbar wird in Deutsch. Fragen können sie auch stellen in Deutsch.
NEDERLANDS: Er is een kans dat documentatie beschikbaar wordt in het Nederlands. Vragen kunnen ook in het Nederlands gesteld worden.


Register

 To register, simply go to our website and look for a register link. Then just follow instructions.
At the moment this is written we work with 2 intermediate companies who are specialized in E-commerce solutions. They accept several payment methods like snail-mail, fax, phone and online with VISA.
Price (see website) includes the fee for intermediate company. Intermediate compan(y)(ie)s, prices and number of currencies can change in future.

Either you will receive your unregistered file by download or with email. If by email then, once registration accepted, you will get your personal, registered, executable file of the last known version of this program. Make sure your email system can receive a file as big as the size of the exe file and take into account that some systems reject exe and zip files. Exe-file for registered and unregistered version does not differ a lot. If your mail-system accepts files of about 1MB then you should have no problems. Simply replace the unregistered file by this registered file in the installation directory from the unregistered installation.


Updates

Version history:
version 1.0, released January 2007
version 2.0, released April 2007
- faster marking while switching color
- editing of htm(l) and eml better supported
version 3.0, released December 2008
- easy access to colors by using a color grid
- chosing of a bigger font size supported
- improved removing of items with multiple selection
- copy-paste parts from a website into a new or existing mht file
- improved script bugs handling
- printing supported
- several smaller improvements
version 4.0, released November 2012
- quickly get part of a web page launching eMarker from Internet Explorer
- default marking color shown on marking button
- more shortcuts assigned
- several smaller improvements